<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      xmlns:n="http://typo3.org/ns/GeorgRinger/News/ViewHelpers"
      data-namespace-typo3-fluid="true">

<f:layout name="Detail" />

<f:section name="content">

    <div class="container">

        <section id="news-single">
            <div class="row no-gutters">
                <div class="col-md-6 order-2">

                    <div class="item-body">
                        <f:if condition="{newsItem.categories}">
                            <h4 class="mb-1">{newsItem.categories.0.title}</h4>
                        </f:if>
                        <h1 itemprop="headline">
                            <f:format.htmlentitiesDecode>{newsItem.title}</f:format.htmlentitiesDecode>
                        </h1>


                        <f:link.page class="news-more-link abs" pageUid="{settings.backPid}">
                            <f:translate key="backlink" extensionName="akademie_ruhr" />
                        </f:link.page>

                    </div>

                </div>

                    <div class="col-md-6 order-1 pl-0">
                        <f:image class="img-fluid" image="{newsItem.media.0}" width="640" />
                    </div>    

            </div>
        </section>

        <article class="news news-single news-{newsItem.firstCategory.title}" id="inspiration">
            <f:render partial="Detail/Opengraph" arguments="{newsItem: newsItem, settings:settings}" />

            <n:renderMedia news="{newsItem}" imgClass="img-fluid" videoClass="video-wrapper" audioClass="audio-wrapper">
                <f:if condition="{newsItem.teaser}">
                    <div class="teaser-text" itemprop="description">
                        <f:format.html>{newsItem.teaser}</f:format.html>
                    </div>
                </f:if>

                <f:if condition="{newsItem.showTxAkademieRuhrMediaContainer}">
                    <f:render partial="Detail/MediaContainer" arguments="{media: newsItem.mediaNonPreviews, settings:settings}" />
                </f:if>

            </n:renderMedia>

            <div class="bodytext">
                <f:format.html>{newsItem.bodytext}</f:format.html>

                <f:if condition="{newsItem.contentElements}">
                    <!-- content elements -->
                    <f:cObject typoscriptObjectPath="lib.tx_news.contentElementRendering">{newsItem.contentElementIdList}</f:cObject>
                </f:if>

                <f:link.page class="news-more-link" pageUid="{settings.backPid}">
                    <f:translate key="backlink" extensionName="akademie_ruhr" />
                </f:link.page>
            </div>

            <f:if condition="{newsItem.author} || {newsItem.txAkademieRuhrAttribution}">
                <div class="bodytext pt-4"  style="font-size: .8em;">
                    <hr>

                    <p class="text-gray">
                        <f:if condition="{newsItem.author}">
                            <strong><f:translate key="author" extensionName="akademie_ruhr" />:</strong> {newsItem.author}
                            <br>
                        </f:if>
                        <f:if condition="{newsItem.txAkademieRuhrAttribution}">
                            <strong><f:translate key="images" extensionName="akademie_ruhr" />:</strong> {newsItem.txAkademieRuhrAttribution}
                        </f:if>
                    </p>
                </div>
            </f:if>


        </article>

        <f:if condition="{newsItem.allRelatedSorted}">
            <div class="news-list-view related-news" id="news-list-view">
                <f:for each="{newsItem.allRelatedSorted -> n:iterator.chunk(count: 4)}" as="col" iteration="cycle">
                    <div class="row my-3">
                        <f:for each="{col}" as="newsItem">
                            <div class="col-md-3">
                                <f:render partial="List/Item" arguments="{newsItem: newsItem, settings:settings, iterator:cycle}" />
                            </div>
                        </f:for>
                    </div>
                </f:for>
            </div>
        </f:if>

    </div>

    <f:render partial="Detail/BottomBoxes" arguments="{_all}"/>

</f:section>

</html>
